Subject: Re: bug#71073: Emacs segfaults if corfu is asked to autocomplete something while the LSP server providing completions is still starting/indexing
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 20 Jul 2024 13:08:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tue, 02 Jul 2024 16:49:09 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Vladislav Yegorov <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>,  Po Lu <[email-masked]>,
> >   [email-masked]
> > Date: Tue, 02 Jul 2024 15:36:15 +0200
> > 
> > I tried to compile my own version of Emacs and it /appears/ that this
> > one is fine despite using the same source as the fedora provided
> > version.  I also tried to package/compile my own version for fedora
> > using the rpm build system and surprisingly enough this one also
> > crashed.  The issue might be related to something fedora does but this
> > is just a guess.  Some user-submitted crash reports on fedora seem to
> > report a very similar issue[1].
> 
> Thanks.  Given what you tell, I think this should be reported to the
> Fedora downstream maintainers of the Emacs distros.  They know how
> they build Emacs, and they might be able to find what non-default
> build option causes this.  It could be anything, from a buggy GCC
> version to using some GCC option that is buggy or incompatible with
> Emacs to maybe some library problem.
> 
> If the Fedora folks find the root cause and can explain why it is an
> Emacs bug, they are invited to come back with the information, and we
> can then continue discussing this.

No further comments in more than 2 weeks, so I'm now closing this bug.
If and when new information arrives, we can reopen if needed.